package com.sagacloud.servlet;


import com.sagacloud.utils.StartupThread;
import com.sagacloud.utils.UdpMsgThread;
import com.sagacloud.utils.accessLog.AccessLogRunnable;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

public class StartupServlet extends HttpServlet {
	static final long serialVersionUID = 1L;

	private static final Logger log = LoggerFactory.getLogger(StartupServlet.class);

	public void init() throws ServletException {
		super.init();

		StartupThread thread = new StartupThread();
		thread.start();
		new UdpMsgThread().start();
		// 统计接口访问次数
		new Thread(new AccessLogRunnable()).start();
	}

	public void destroy(){

	}
}
